shishi_kdcreq_nonce_set(3)

NAME
shishi_kdcreq_nonce_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_nonce_set(Shishi * handle, Shishi_asn1 kdcreq, uint32_t nonce);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to set client name field in.

uint32_t nonce
    integer nonce to store in KDC-REQ.

DESCRIPTION
Store nonce number field in KDC-REQ.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.